Loading...
Searching...
No Matches
Exiv2::Internal::ArrayCfg Struct Reference

Additional configuration for a binary array. More...

`#include <tiffcomposite_int.hpp>`

## Public Member Functions

size_t | tagStep () const
| Return the size of the default tag, which is used to calculate tag numbers as idx/tagStep.

## Public Attributes

IfdId | group_
| Group for the elements.
ByteOrder | byteOrder_
| Byte order, invalidByteOrder to inherit.
TiffType | elTiffType_
| Type for the array entry and the size element, if any.
CryptFct | cryptFct_
| Crypt function, 0 if not used.
bool | hasSize_
| If true, first tag is the size element.
bool | hasFillers_
| If true, write all defined tags.
bool | concat_
| If true, concatenate gaps between defined tags to single tags.
ArrayDef | elDefaultDef_
| Default element.

## Detailed Description

Additional configuration for a binary array.

The documentation for this struct was generated from the following file:

- tiffcomposite_int.hpp